# ==================================================================
# Plugins::Edit_Case - Auto Generated Install Module
#
#   Plugins::Edit_Case
#   Author  : Andy Newby (Ultranerds)
#   Version : 1
#   Updated : Wed May 26 16:58:03 2004
#
# ==================================================================
#

package Plugins::Edit_Case;
# ==================================================================
    use strict;
    use vars  qw/$VERSION $DEBUG $NAME $META/;
    use GT::Base;
    use GT::Plugins qw/STOP CONTINUE/;
    use Links qw/$CFG $IN $DB/;

    $VERSION = '1';
    $DEBUG   = 0;
    $NAME    = 'Edit_Case';
# Inhert from base class for debug and error methods
    @Plugins::Edit_Case::ISA = qw(GT::Base);

    $META = {
    'prog_ver' => '2.1.2',
    'url' => 'http://www.ultranerds.com',
    'license' => 'Commercial',
    'description' => 'This plugin will change the case of fields entered. <BR><BR>

i.e \'tHis Is a Test\' would become \'This Is A Test\'',
    'author' => 'Andy Newby (Ultranerds)',
    'version' => '1'
};


sub pre_install {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they install the plugin.
#
    my $inst_msg = 'This plugin will change the case of the specified fields.';

    return $inst_msg;
}

sub pre_uninstall {
# -----------------------------------------------------------------------------
# This function displays an HTML formatted message that will display any
# instructions/information to the user before they remove the plugin.
#
    my $uninst_msg = 'Sorry to see you are uninstalling.';

    return $uninst_msg;
}

sub install {
# -----------------------------------------------------------------------------
# This function does the actual installation.  Its first argument is a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc.  The second argument is a GT::Tar object which you can use to access any
# files in your plugin module.
#
# You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::Edit_Case::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_hooks('Edit_Case', [['add_link', 'PRE', 'Plugins::Edit_Case::add_link', 'FIRST']]);
    $mgr->install_options('Edit_Case', [['FieldsToLowercase', 'Title:ALL,Description:FIRST,Accomodation_Name:ALL,Resort:ALL,Country:ALL', 'This is a list of fields, seperated by a comma, for the fields that you want to change the case of. i.e \'tHis Is a Test\' would become \'This Is A Test\'. You can also add :ALL or :FIRST after the field name. :ALL will change the whole phrase to lowercase, and then uppercase the first letter of each word; :FIRST will lowercase the whole phrase, and only uppercase the FIRST word! Example: \'Title:ALL,Description:FIRST\'',    'TEXT', [], [], '']]);
    ;
    return "The plugin has been successfully installed!";
}

sub uninstall {
# -----------------------------------------------------------------------------
# This function removes the plugin.  Its first argument is also a plugin
# manager which you can use to register hooks, install files, add menu options,
# etc. You should return an HTML formatted string that will be displayed to the
# user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::Edit_Case::error
#
    my $mgr = shift;
    
    $mgr->uninstall_hooks('Edit_Case', [['add_link', 'PRE', 'Plugins::Edit_Case::add_link', 'FIRST']]);
    $mgr->uninstall_options('Edit_Case', [['FieldsToLowercase', 'Title:ALL,Description:FIRST,Accomodation_Name:ALL,Resort:ALL,Country:ALL', 'This is a list of fields, seperated by a comma, for the fields that you want to change the case of. i.e \'tHis Is a Test\' would become \'This Is A Test\'. You can also add :ALL or :FIRST after the field name. :ALL will change the whole phrase to lowercase, and then uppercase the first letter of each word; :FIRST will lowercase the whole phrase, and only uppercase the FIRST word! Example: \'Title:ALL,Description:FIRST\'',    'TEXT', [], [], '']]);
    ;
    return "The plugin has been successfully removed!";
}

1;