# ==================================================================
# Plugins::Edit_Case - Auto Generated Program Module
#
#   Plugins::Edit_Case
#   Author  : Andy Newby (Ultranerds)
#   Version : 1
#   Updated : Wed May 26 16:58:03 2004
#
# ==================================================================
#

package Plugins::Update_URL;
# ==================================================================

    use strict;
    use GT::Base;
    use GT::Plugins qw/STOP CONTINUE/;
    use Links qw/$CFG $IN $DB/;
    use Links::Plugins;

    my $DEBUG = 0;

# Inherit from base class for debug and error methods
    @Plugins::Edit_Case::ISA = qw(GT::Base);

# Your code begins here! Good Luck!


# PLUGIN HOOKS
# ===================================================================


sub add_link {
# -----------------------------------------------------------------------------
# This subroutine will be called whenever the hook 'add_link' is run.  You
# should call GT::Plugins->action(STOP) if you don't want the regular
# 'add_link' code to run, otherwise the code will continue as normal.
#
    my (@args) = @_;

    $DEBUG ? print $IN->header() : '';

# Do something useful here

    my $opts      = Links::Plugins->get_plugin_user_cfg('Edit_Case');
    my $fields    = $opts->{FieldsToLowercase};
    my @fields = split /,/,$fields;

    foreach (@fields) {
   
      # format can be like;
      # Title,Description,Accomodation_Name,Resort,Country
      # or you can use :ALL or :FIRST to decide how the value is formatted.
      # Title:ALL,Description:FIRST,Accomodation_Name:ALL,Resort:FIRST,Country
       my ($field,$type) = split /\Q:/, $_;

      # catchall, in case they dont pass :ALL or :FIRST in the string
       if (!$type) { $type = "ALL"; }

       $DEBUG ? print "Running field: $field ($type)" : '';       

       if ($IN->param($field)) {
          my $formatted = &do_formatting($IN->param($field),$type);
          $args[0]->{$field} = $formatted;
          $DEBUG ? print ">>Edited field: $field ($type)" : '';
          $DEBUG ? print ">>Edited value: $formatted" : '';       
       }

    }

    return @args;
}

sub do_formatting {
  
   my ($value,$type) = shift;

   if ($type eq "ALL") {

     my $back;
     my @desc_cut = split / /, $value;
     foreach my $cut (@desc_cut) {
        $back .= " " . ucfirst(lc($value)); 
     }
     
     return $back;

   } else {
      return ucfirst(lc($value));
   }

}

# Always end with a 1.
1;